"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _cloudinary = require("../Image/cloudinary");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Background(_ref) {
  var image = _ref.image,
      src = _ref.src,
      className = _ref.className,
      children = _ref.children;
  var finalSrc = image ? (0, _cloudinary.imageFromId)(image) : src;
  if (!finalSrc) throw new Error('Background required image or src');
  return _react.default.createElement("div", {
    className: _style.default.dynamic([["3295418038", [finalSrc]]]) + " " + ((0, _classnames.default)('bg', className) || "")
  }, _react.default.createElement(_style.default, {
    styleId: "3295418038",
    css: [".bg.__jsx-style-dynamic-selector{background-image:url(".concat(finalSrc, ");}")],
    dynamic: [finalSrc]
  }), children);
}

var _default = Background;
exports.default = _default;