"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = splitItems;

function splitItems(_ref) {
  var items = _ref.items,
      _ref$showFeatured = _ref.showFeatured,
      showFeatured = _ref$showFeatured === void 0 ? true : _ref$showFeatured,
      _ref$subFeaturedCount = _ref.subFeaturedCount,
      subFeaturedCount = _ref$subFeaturedCount === void 0 ? 3 : _ref$subFeaturedCount;
  var featuredItem = showFeatured ? items[0] : undefined;
  var subFeaturedItems = items.slice(showFeatured ? 1 : 0, subFeaturedCount + (showFeatured ? 1 : 0));
  var remainItems = items.slice(showFeatured ? 1 + subFeaturedCount : subFeaturedCount, Infinity);
  return {
    featuredItem: featuredItem,
    subFeaturedItems: subFeaturedItems,
    remainItems: remainItems
  };
}