"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Section = _interopRequireDefault(require("../Section"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function Sections(_ref) {
  var sections = _ref.sections,
      components = _ref.components;
  return sections.map(function (_ref2, idx) {
    var type = _ref2.type,
        data = _ref2.data,
        section = _ref2.section,
        theme = _ref2.theme;
    var Component = components[type];

    if (!section || Object.keys(section).length === 0) {
      return _react.default.createElement(Component, _extends({
        key: idx
      }, data, {
        theme: theme
      }));
    }

    return _react.default.createElement(_Section.default, _extends({
      key: idx
    }, section, {
      theme: theme.section || {}
    }), _react.default.createElement(Component, _extends({}, data, {
      theme: theme
    })));
  });
}

var _default = Sections;
exports.default = _default;