"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getYoutubeVideos;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getYoutubeVideos(id) {
  var proxyUrl = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'https://utils.buzzmedia.vn/yt';
  return _axios.default.get("".concat(proxyUrl, "/oembed?format=json&url=https://www.youtube.com/watch?v=").concat(id)).then(function (response) {
    var _ref = response || {},
        data = _ref.data;

    return data;
  }).catch(function () {
    return null;
  });
}