// @flow

import axios from 'axios'

export default function getYoutubeVideos(
  id: string,
  proxyUrl?: string = 'https://utils.buzzmedia.vn/yt',
): Promise<any> {
  return axios
    .get(`${proxyUrl}/oembed?format=json&url=https://www.youtube.com/watch?v=${id}`)
    .then((response) => {
      const { data } = response || {}
      return data
    })
    .catch(() => null)
}
